List Quickbooks accounts
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"export_upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_nested": true,
"accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"stable_name": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
},
"balance": 123,
"local_ledger_account": {
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"child_accounts": "<array>"
}
]
}""Quickbooks Ledger
List Quickbooks accounts
This API call lists all Quickbooks accounts for a business.
GET
/
v1
/
businesses
/
{businessId}
/
quickbooks
/
ledger
/
accounts
List Quickbooks accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business to list Quickbooks accounts for.
Query Parameters
Specify whether to flatten the accout structure into a single list or reflect the ledger's default nested structure.
Response
The UUID of the Quickbooks ledger.
The UUID of the export upload associated with the Quickbooks ledger.
The UUID of the Quickbooks connection associated with the Quickbooks ledger.
Whether the Quickbooks ledger is nested.
List of Quickbooks ledger accounts.
Show child attributes
Show child attributes
⌘I